<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeRejectedBillsAddCustomFields extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('rejected_bills', function (Blueprint $table) {
            $table->string('common_01')->nullable()->comment('额外定义通用字段，见定义自段表');
            $table->string('common_02')->nullable()->comment('额外定义通用字段，见定义自段表');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('authorities',function (Blueprint $table){
            $table->string('common_01')->delete();
            $table->string('common_02')->delete();
        });
    }
}
